org.apache.maven.script.ant

## Class AntMojoComponentFactory

- java.lang.Object
- - AntComponentFactory
  - - org.apache.maven.script.ant.AntMojoComponentFactory

-     public class AntMojoComponentFactory
      extends AntComponentFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntMojoComponentFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `newInstance(ComponentDescriptor descriptor, ClassRealm realm, PlexusContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntMojoComponentFactory

          public AntMojoComponentFactory()

  - ### Method Detail

    - #### newInstance

          public java.lang.Object newInstance(ComponentDescriptor descriptor,
                                     ClassRealm realm,
                                     PlexusContainer container)
                                       throws ComponentInstantiationException

      Throws:
        `ComponentInstantiationException`